javax.mail.search

## Class NotTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - javax.mail.search.NotTerm

- All Implemented Interfaces:
    Serializable

      public final class NotTerm
      extends SearchTerm

  This class implements the logical NEGATION operator.
  Author:
    Bill Shannon, John Mani
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotTerm(SearchTerm t)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality comparison.
    `SearchTerm` | `getTerm()` Return the term to negate.
    `int` | `hashCode()` Compute a hashCode for this object.
    `boolean` | `match(Message msg)` This method applies a specific match criterion to the given message and returns the result.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotTerm

          public NotTerm(SearchTerm t)

  - ### Method Detail

    - #### getTerm

          public SearchTerm getTerm()

      Return the term to negate.
      Returns:
        the Term

    - #### match

          public boolean match(Message msg)

      Description copied from class: `SearchTerm`
      This method applies a specific match criterion to the given message and returns the result.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `msg` - The match criterion is applied on this message
      Returns:
        true, it the match succeeds, false if the match fails

    - #### equals

          public boolean equals(Object obj)

      Equality comparison.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Compute a hashCode for this object.
      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 Oracle. All rights reserved.